@ECHO OFF
SETLOCAL

SET SCRIPT=sample_workload.sql
SET FREEPROCCACHE=1

IF "%1"=="-?" GOTO :DisplayUsage
IF "%1"=="/?" GOTO :DisplayUsage
SET SQLSERVER=%1

REM Test connection
osql -E -S%SQLSERVER% -Q""
IF %ERRORLEVEL% NEQ 0 GOTO :eof

IF %FREEPROCCACHE%==1 (
  ECHO Clearing procedure cache... 
  osql -E -S%SQLSERVER% -Q"DBCC FREEPROCCACHE" > NUL
)

ECHO Running %SCRIPT%... 
osql -E -S%SQLSERVER% -i%SCRIPT% > NUL

ENDLOCAL
GOTO :eof



:DisplayUsage
ECHO.
ECHO Usage: runscript.cmd ^[sql_instance^]
ECHO.
ECHO Note: This batch file always connects using NT authentication ^(-E^). 
ECHO.
GOTO :eof
